Bug 1277528 - gnome-session fails to initialize if Xming uses native OpenGL (Windows GL).
gnome-session fails to initialize if Xming uses native OpenGL (Windows GL).
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-session (Show other bugs)
7.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 09:05 EST by Siteshwar Vashisht
Modified: 2017-05-01 09:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-15 17:40:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Siteshwar Vashisht 2015-11-03 09:05:51 EST
Description of problem:
gnome-session fails to initialize if Xming uses native OpenGL (Windows GL).

Version-Release number of selected component (if applicable):
gnome-session-3.14.0-4

How reproducible:
Always

Steps to Reproduce:
1. On a windows machine setup Xming session to a RHEL 7.2 machine with native OpenGL (Windows GL) enabled 
2. Connect to RHEL machine through Xming

Actual results:
GDM is not startd and below error appears in journalctl logs :

    Nov 02 14:04:23 vm63.gsslab.pnq.redhat.com gnome-session[26083]: gnome-session-is-accelerated: No GLX_EXT_texture_from_pixmap support.
    Nov 02 14:04:23 vm63.gsslab.pnq.redhat.com gnome-session[26083]: gnome-session-check-accelerated: Helper exited with code 256
    Nov 02 14:04:28 vm63.gsslab.pnq.redhat.com gnome-session[26083]: gnome-session-is-accelerated: No GLX_EXT_texture_from_pixmap support.
    Nov 02 14:04:28 vm63.gsslab.pnq.redhat.com gnome-session[26083]: gnome-session-check-accelerated: Helper exited with code 256
    Nov 02 14:04:28 vm63.gsslab.pnq.redhat.com gnome-session[26083]: WARNING: software acceleration check failed: Child process exited with code 1
    Nov 02 14:04:28 vm63.gsslab.pnq.redhat.com gnome-session[26083]: gnome-session[26083]: WARNING: software acceleration check failed: Child process exited with code 

Expected results:
GDM should start

Additional info:

gnome-shell was crashing if Windows GL was disabled in Xming session. This is a separate bug that is tracked through https://bugzilla.redhat.com/show_bug.cgi?id=1212702

Note You need to log in before you can comment on or make changes to this bug.